<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);

if (!isset($tables["${prefix}_team"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_team` (
  `tid` int(11) NOT NULL AUTO_INCREMENT,
  `nname` varchar(255) NOT NULL DEFAULT '',
  `vname` varchar(255) NOT NULL DEFAULT '',
  `bild_klein` text NOT NULL,
  `bild_gross` text NOT NULL,
  `stellung` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `beschr_kurz` text NOT NULL,
  `beschr_lang` text NOT NULL,
  `pos` int(11) NOT NULL DEFAULT '0',
  `anzeigen` int(11) NOT NULL DEFAULT '0',
  `url1` varchar(255) NOT NULL DEFAULT '',
  `url2` varchar(255) NOT NULL DEFAULT '',
  `bday` varchar(255) NOT NULL DEFAULT '',
  `gid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tid`),
  UNIQUE KEY `pos` (`pos`),
  KEY `gid` (`gid`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci;";
} else {
    // Felder aktualisieren
    $tf = setupGetTableFields("${prefix}_team");
    if (!isset($tf['bday'])) $sqlqry[] = "ALTER TABLE `${prefix}_team` ADD bday VARCHAR( 255 ) NOT NULL default ''";
    if (!isset($tf['gid'])) $sqlqry[] = "ALTER TABLE `${prefix}_team` ADD gid int(11) NOT NULL default '0' ";

    $indexes = setupGetTableIndexes("${prefix}_team");
    if (!isset($indexes['gid'])) $sqlqry[] = "ALTER TABLE `${prefix}_team` ADD INDEX `gid` ( `gid` ) ";
}

if (!isset($tables["${prefix}_team_group"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_team_group` (
  `gid` int(11) NOT NULL AUTO_INCREMENT,
  `funktion` varchar(40) NOT NULL DEFAULT '',
  `pos` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`gid`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci;";
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

?>