<?php
/**
 * Mx-CMS WebPortal-System
 * =======================
 *
 * View-Section for Team (Staff) - Gallery by MvW/RtR
 * Copyright (c) 2005 by MvW/RtR for Mx-CMS Version Mx-1.1.0
 *
 * This program is free software. You can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 */

/**
 * Edit and advanced by JoergK
 * Source: modules/Team/index.php,v $
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

defined('mxMainFileLoaded') or die('access denied');

$module_name = basename(__DIR__);

/* Select language files */
mxGetLangfile($module_name);

/* Settings */
include(dirname(__FILE__) . "/teamset.php");

/* Show right blocks */
$GLOBALS['index'] = $vkp28;
// Spalten korrigieren, nur 1-3 ist moeglich
if (intval($mxTeamCol) < 1) {
    $mxTeamCol = 1;
} else if (intval($mxTeamCol) > 3) {
    $mxTeamCol = 3;
}

function showDetail()
{
    global $vkp19, $vkp26, $vkp27, $vkp40, $prefix, $dbi, $sitename, $admin, $module_name, $dir_name, $tid, $mx_display_inactive, $mx_color_inactive;

    $result = sql_query("SELECT * FROM " . $prefix . "_team WHERE vname='" . mxAddSlashesForSQL(trim($_REQUEST['id'])) . "'");
    $row = sql_fetch_assoc($result);

    if (!$row || !$row['anzeigen']) {
        showUebersicht();
        return;
    }

    $result = sql_query("SELECT funktion FROM " . $prefix . "_team_group WHERE gid=" . intval($row['gid']) . "");
    $grow = sql_fetch_assoc($result);
    $row['groupname'] = $grow['funktion'];

    $image = mxTeamGetPicture($row['bild_gross'], $row['nname'], 'class="float-left"');
    if ($row['url1']) {
        $row['url1'] = '<a href="' . $row['url1'] . '">' . $row['url1'] . '</a>';
    }
    if ($row['url2']) {
        $row['url2'] = '<a href="' . $row['url2'] . '">' . $row['url2'] . '</a>';
    }
    $row['url'] = trim($row['url1'] . ', ' . $row['url2'], ', ');

    include("header.php");
    title($row['groupname']);
    OpenTable();

    echo $image;

    ?>
<h4><?php echo $row['nname'] ?></h4>

<p><?php echo _TEAMTBVNAM ?>:&nbsp;<b><?php echo $row['vname'] ?></b></p>
<div><?php echo $row['beschr_lang'] ?></div><br />
<?php if ($row['url']): ?>
<p><?php echo _TEAMURL ?>: <?php echo $row['url'] ?></p>
<p align="center"><br /><br /><br />
<?php
        endif;
    echo _GOBACK;
    if (MX_IS_ADMIN) {
        echo ' | <a href="' . adminUrl($module_name, 'Detail', 'tid=' . $row['tid']) . '">' . _EDIT . '</a>';
    }

    ?></p><?php
    CloseTable();
    include("footer.php");
}

/**
 * Show members overview by groups
 */
function showUebersicht()
{
    global $prefix;
    global $mxTeamDetail, $mxTeamInactive, $mxTeamAllAdmin, $module_name;

    include("header.php");
    // title(_TEAMTITLEMAIN);
    /* Active members */
    $gresult = sql_query("SELECT * FROM " . $prefix . "_team_group ORDER BY pos ASC");
    while ($grow = sql_fetch_assoc($gresult)) {
        showUebersicht2($grow['gid'], $grow['funktion']);
    }

    /* Further members (= without group) */
    $gresult = sql_query("SELECT * FROM " . $prefix . "_team WHERE anzeigen=1 AND gid=0 ORDER BY pos ASC");
    if (sql_num_rows($gresult) > 0) {
        showUebersicht2();
    }

    /* Inactive members */
    if ($mxTeamInactive == "YES") {
        $gresult = sql_query("SELECT * FROM " . $prefix . "_team WHERE anzeigen=0 ORDER BY pos ASC");
        if (sql_num_rows($gresult) > 0) {
            showUebersicht2("x");
        }
    }

    echo '<br />';
    if (($mxTeamAllAdmin == 1 && MX_IS_ADMIN) || mxGetAdminPref("radminsuper")) {
        echo '<br /><a href="' . adminUrl($module_name) . '">' . _TEAMADMINCENTER . '</a>';
    }
    include("footer.php");
}

/**
 * Show members overview per group
 */
function showUebersicht2($listgroup = "", $groupname = "")
{
    global $url1, $url2, $vkp19, $vkp24, $vkp25, $vkp40, $prefix, $module_name;
    global $mxTeamCol, $mxTeamDetail, $mxTeamSortOverview;

    switch ($mxTeamSortOverview) {
        default:
            $mxTeamSort = 'pos';
            break;
        case "2":
            $mxTeamSort = 'nname';
            break;
        case "3":
            $mxTeamSort = 'vname';
            break;
        case "4":
            $mxTeamSort = 'stellung';
            break;
    }

    if (intval($listgroup != 0)) {
        $result = sql_query("SELECT * FROM " . $prefix . "_team WHERE anzeigen=1 AND gid=" . intval($listgroup) . " ORDER BY " . $mxTeamSort . " ASC");
    } elseif ($listgroup == "x") {
        $result = sql_query("SELECT * FROM " . $prefix . "_team WHERE anzeigen=0 ORDER BY " . $mxTeamSort . " ASC");
    } else {
        $result = sql_query("SELECT * FROM " . $prefix . "_team WHERE anzeigen=1 AND gid=0 ORDER BY " . $mxTeamSort . " ASC");
    }

    if (!sql_num_rows($result)) {
        return false;
    }

    if ($listgroup == "x") {
        $groupname = _TEAMINACTIVE;
    } elseif (empty($listgroup)) {
        $groupname = _TEAMMOREMEMBERS;
    }

    $width = intval(99 / $mxTeamCol);
    OpenTable();
    // BDDF71
    ?>
<div class="title"><?php echo $groupname ?></div>
<div class="floatbox box">
<?php
    $i = 0;
    while ($row = sql_fetch_assoc($result)) {
        $i++;
        $image = mxTeamGetPicture($row['bild_klein'], _TEAMALTKPIC . ' ' . $row['nname'], 'class="float-left"');

        ?>

<div style="width: <?php echo $width ?>%; float: left;">
<div style="margin: 1em;" class="clearfix">
<h5><?php echo $row['nname'] ?></h5>
<a href="modules.php?name=<?php echo $module_name ?>&amp;id=<?php echo urlencode($row['vname']) ?>"><?php echo $image ?></a>
<p><?php echo _TEAMTBVNAM ?>:&nbsp;<b><?php echo $row['vname'] ?></b></p>
<p><?php echo $row['beschr_kurz'] ?><br />
<a href="modules.php?name=<?php echo $module_name ?>&amp;id=<?php echo urlencode($row['vname']) ?>"><span><?php echo _READMORE ?></span></a></p>
</div>
</div>

<?php
        if ($i == $mxTeamCol) {
            $i = 0;

            ?><div style="clear: both;"></div><?php

        }
    }

    ?>
</div>
<?php
    CloseTable();
}

function mxTeamGetPicture($picsrc, $alt = '', $more = '')
{
    global $vkp19, $vkp26, $vkp27;
    if ($picsrc == 'nn.gif') {
        return '';
    }

    $picsrc = $vkp19 . '/' . $picsrc;
    if (file_exists($picsrc)) {
        $picsrc = $picsrc;
    } else {
        return '';
        // $picsrc = $vkp19 . "/" . $vkp40;
    }

    $max_width = $vkp26;
    $max_height = $vkp27;
    $x_ratio = 1;
    $y_ratio = 1;

    $size = @GetImageSize($picsrc);
    $width = $size[0];
    $height = $size[1];

    if (($max_width != "" || $max_width != 0) && ($width != "" || $width != 0)) {
        $x_ratio = $max_width / $width;
    }
    if (($max_height != "" || $max_height != 0) && ($height != "" || $height != 0)) {
        $y_ratio = $max_height / $height;
    }
    if ($width <= $max_width && $height <= $max_height) {
        $pic_width = $width;
        $pic_height = $height;
    } elseif (($x_ratio * $height) < $max_height) {
        $pic_height = ceil($x_ratio * $height);
        $pic_width = $max_width;
    } else {
        $pic_width = ceil($y_ratio * $width);
        $pic_height = $max_height;
    }
    $pic = '<img src="' . $picsrc . '" width="' . $pic_width . '" height="' . $pic_height . '" alt="' . htmlentities($alt) . '" ' . $more . '>';
    return $pic;
}
/**
 * Selection, which function should be called
 */
switch (true) {
    case isset($_REQUEST['id']):
        showDetail();
        break;
    default:
        showUebersicht();
        break;
}

?>